boards:
  "0451:6165": "am625"

soc-models:
  am625-firmware:
    tiboot3:
        path: "dfu_files/tiboot3.bin"
    tispl:
        path: "dfu_files/tispl.bin"
    u-boot:
        path: "dfu_files/u-boot.img"

  am625-tasks:
    - target-device: mmc0
      fb-buffer-size: 0x7000000
      fb-buffer-addr: 0x82000000

    - task: run
      args:
        - "oem_format"
        - "flash_sparse:rootfs.ext3.sparse:rootfs"
        - "download:emmc_files/tiboot3.bin"
        - "flash:tiboot3"
        - "download:emmc_files/tispl.bin"
        - "flash:tispl"
        - "download:emmc_files/u-boot.img"
        - "flash:uboot"

